Skip to main content
POST
/
v1
/
embeddings
curl https://router.requesty.ai/v1/embeddings \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_REQUESTY_API_KEY" \
  -d '{
    "model": "openai/text-embedding-3-small",
    "input": "Requesty is a unified LLM gateway."
  }'
{
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "index": 0,
      "embedding": [0.0023, -0.0091, 0.0153, -0.0028, 0.0074]
    }
  ],
  "model": "openai/text-embedding-3-small",
  "usage": {
    "prompt_tokens": 8,
    "total_tokens": 8
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.requesty.ai/llms.txt

Use this file to discover all available pages before exploring further.

curl https://router.requesty.ai/v1/embeddings \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_REQUESTY_API_KEY" \
  -d '{
    "model": "openai/text-embedding-3-small",
    "input": "Requesty is a unified LLM gateway."
  }'
{
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "index": 0,
      "embedding": [0.0023, -0.0091, 0.0153, -0.0028, 0.0074]
    }
  ],
  "model": "openai/text-embedding-3-small",
  "usage": {
    "prompt_tokens": 8,
    "total_tokens": 8
  }
}
Create vector embeddings for text input. Embeddings are useful for semantic search, similarity matching, clustering, and retrieval-augmented generation (RAG).

Supported Models

Browse the full catalog on the Embedding model library.
ModelDimensionsBest for
openai/text-embedding-3-small1536Cost-efficient, general purpose
openai/text-embedding-3-large3072Higher accuracy, multilingual
openai/text-embedding-ada-0021536Legacy compatibility

Authorizations

Authorization
string
header
required

API key for authentication

Body

application/json
input
required

Input text to embed, encoded as a string, array of strings, array of tokens, or array of token arrays

model
string
required

The model name to use for embedding generation

Example:

"openai/text-embedding-3-small"

dimensions
integer<int64>

The number of dimensions the resulting output embeddings should have

encoding_format
enum<string>
default:float

The format to return the embeddings in. Can be either float or base64.

Available options:
float,
base64
user
string

A unique identifier representing your end-user.

Response

Embedding response

data
object[]
required

The list of embeddings generated by the model

model
string
required

The name of the model used to generate the embedding

object
string
required

The object type, which is always 'list'

usage
object
required
Last modified on May 26, 2026